"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setItem = exports.getItem = exports.reloadTimelines = exports.reloadAllTimelines = void 0;

var _reactNative = require("react-native");

const {
  Widgetkit
} = _reactNative.NativeModules;
const {
  reloadAllTimelines: reloadAllTimelinesNative,
  reloadTimelines: reloadTimelinesNative,
  getItem: getItemNative,
  setItem: setItemNative
} = Widgetkit || {};
/**
 * Reloads the timelines for all widgets of a particular kind.
 *
 */

const reloadAllTimelines = reloadAllTimelinesNative || (() => {});
/**
 * Reloads the timelines for all configured widgets belonging to the containing app.
 *
 * @param ofKind - Widget Name
 *
 */


exports.reloadAllTimelines = reloadAllTimelines;

const reloadTimelines = reloadTimelinesNative || (() => {});
/**
 * Reads Value from UserDefaults database.
 *
 * @param key - Key
 * @param appGroup - App Group
 *
 */


exports.reloadTimelines = reloadTimelines;

const getItem = getItemNative || (() => {
  return Promise.resolve();
});
/**
 * Writes Key-Value to UserDefaults database.
 *
 * @param key - Key
 * @param value - Value
 * @param appGroup - App Group
 *
 */


exports.getItem = getItem;

const setItem = setItemNative || (() => {
  return Promise.resolve();
});

exports.setItem = setItem;
//# sourceMappingURL=index.js.map