import { NativeModules } from 'react-native';
const {
  Widgetkit
} = NativeModules;
const {
  reloadAllTimelines: reloadAllTimelinesNative,
  reloadTimelines: reloadTimelinesNative,
  getItem: getItemNative,
  setItem: setItemNative
} = Widgetkit || {};
/**
 * Reloads the timelines for all widgets of a particular kind.
 *
 */

export const reloadAllTimelines = reloadAllTimelinesNative || (() => {});
/**
 * Reloads the timelines for all configured widgets belonging to the containing app.
 *
 * @param ofKind - Widget Name
 *
 */

export const reloadTimelines = reloadTimelinesNative || (() => {});
/**
 * Reads Value from UserDefaults database.
 *
 * @param key - Key
 * @param appGroup - App Group
 *
 */

export const getItem = getItemNative || (() => {
  return Promise.resolve();
});
/**
 * Writes Key-Value to UserDefaults database.
 *
 * @param key - Key
 * @param value - Value
 * @param appGroup - App Group
 *
 */

export const setItem = setItemNative || (() => {
  return Promise.resolve();
});
//# sourceMappingURL=index.js.map