/**
 * Reloads the timelines for all widgets of a particular kind.
 *
 */
export declare const reloadAllTimelines: () => void;
/**
 * Reloads the timelines for all configured widgets belonging to the containing app.
 *
 * @param ofKind - Widget Name
 *
 */
export declare const reloadTimelines: (ofKind: string) => void;
/**
 * Reads Value from UserDefaults database.
 *
 * @param key - Key
 * @param appGroup - App Group
 *
 */
export declare const getItem: (key: string, appGroup: string) => Promise<string>;
/**
 * Writes Key-Value to UserDefaults database.
 *
 * @param key - Key
 * @param value - Value
 * @param appGroup - App Group
 *
 */
export declare const setItem: (key: string, value: string, appGroup: string) => Promise<void>;
